Print Friendly

# Class YAHOO.widget.TVFadeIn

Package: | YAHOO.widget
Class: | TVFadeIn
Extends: | Object
Defined In: | treeview.js

A 1/2 second fade-in animation.

## Public Properties

Property | Defined By
--- | ---
| callback : function | TVFadeIn
the callback to invoke when the animation is complete
| el : HTMLElement | TVFadeIn
The element to animate

## Public Methods

Method | Defined By
--- | ---
| TVFadeIn(`el {HTMLElement}`, `callback {function}`) | TVFadeIn
| animate() : void | TVFadeIn
Performs the animation
| onComplete() : void | TVFadeIn
Clean up and invoke callback
| toString() : string | TVFadeIn
toString

## Public Events

This class has no public events.

## Property Details

### callback

`public function callback`
the callback to invoke when the animation is complete
This property is defined by TVFadeIn.

### el

`public HTMLElement el`
The element to animate
This property is defined by TVFadeIn.

## Constructor Details

### TVFadeIn

`public function TVFadeIn(`el {HTMLElement}`, `callback {function}`)`
Parameters:

- `{HTMLElement}` : el
  the element to animate
- `{function}` : callback
  function to invoke when the animation is finished

## Method Details

### animate

`public function animate()`
Performs the animation
Parameters:

- None.

Returns:

- `void`

This method is defined by TVFadeIn.

### onComplete

`public function onComplete()`
Clean up and invoke callback
Parameters:

- None.

Returns:

- `void`

This method is defined by TVFadeIn.

### toString

`public function toString()`
toString
Parameters:

- None.

Returns:

- `string`
  the string representation of the instance

This method is defined by TVFadeIn.

yui-ext - Copyright © 2006 Jack Slocum. | Yahoo! UI - Copyright © 2006 Yahoo! Inc.
All rights reserved.